# template: foreman_plugin
%global gem_name foreman_theme_satellite
%global plugin_name theme_satellite
%global foreman_min_version 3.15.0

%global downstream_build ("%{?dist}" == ".el8sat" || "%{?dist}" == ".el9sat")

Name: rubygem-%{gem_name}
Version: 15.1.0
Release: 1.20250520151829169735.pr182.6.g80ec947%{?dist}
Summary: This is a plugin that enables building a theme for Foreman
License: GPLv3
URL: https://github.com/RedHatSatellite/foreman_theme_satellite
Source0: foreman_theme_satellite-15.1.0.gem

%if %{downstream_build}
BuildRequires: foreman_theme_satellite_assets
Requires: satellite-lifecycle
%endif

# start specfile generated dependencies
Requires: foreman >= %{foreman_min_version}
BuildRequires: foreman-assets >= %{foreman_min_version}
BuildRequires: foreman-plugin >= %{foreman_min_version}
Requires: ruby >= 2.7
BuildRequires: ruby >= 2.7
BuildRequires: rubygems-devel
BuildRequires: rubygem(activesupport)
BuildRequires: rubygem(deface)
BuildArch: noarch
Provides: foreman-plugin-%{plugin_name} = %{version}
# end specfile generated dependencies

# start package.json devDependencies BuildRequires
BuildRequires: (npm(@babel/core) >= 7.7.0 with npm(@babel/core) < 8.0.0)
BuildRequires: npm(@theforeman/builder) >= 4.12.0
# end package.json devDependencies BuildRequires

# start package.json dependencies BuildRequires
# end package.json dependencies BuildRequires

%description
Theme changes for Satellite 6.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  foreman_theme_satellite-15.1.0

%if %{downstream_build}
  rm -rf app/assets/images/%{gem_name}
  cp -a /usr/share/foreman_theme_satellite_assets/%{gem_name} app/assets/images/
%endif

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%foreman_bundlerd_file
%foreman_precompile_plugin -s

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%{gem_instdir}/locale
%exclude %{gem_instdir}/package.json
%exclude %{gem_instdir}/webpack
%exclude %{gem_cache}
%{gem_spec}
%{foreman_bundlerd_plugin}
%{foreman_assets_plugin}
%{foreman_assets_foreman}
%{foreman_webpack_plugin}
%{foreman_webpack_foreman}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%posttrans
%{foreman_plugin_log}

%changelog
* Tue May 20 2025 Packit <hello@packit.dev> - 15.1.0-1.20250520151829169735.pr182.6.g80ec947
- Update TOC file from downstream (Satellite Automation)
- Update TOC file from downstream (Satellite Automation)
- Update TOC file from downstream (Satellite Automation)
- Update TOC file from downstream (Satellite Automation)
- Fix link Realm (#177) (Lena Ansorgová)
- Update TOC file from downstream (Satellite Automation)

* Tue Apr 29 2025 Foreman Packaging Automation <packaging@theforeman.org> - 15.1.0-1
- Update to 15.1.0

* Tue Apr 08 2025 Foreman Packaging Automation <packaging@theforeman.org> - 15.0.1-1
- Update to 15.0.1

* Tue Mar 18 2025 Foreman Packaging Automation <packaging@theforeman.org> - 15.0.0-1
- Update to 15.0.0

* Tue Mar 18 2025 Foreman Packaging Automation <packaging@theforeman.org> - 14.3.2-1
- Update to 14.3.2

* Thu Feb 20 2025 Foreman Packaging Automation <packaging@theforeman.org> - 14.3.1-1
- Update to 14.3.1

* Tue Dec 03 2024 Foreman Packaging Automation <packaging@theforeman.org> - 14.3.0-1
- Update to 14.3.0

* Wed Nov 27 2024 Foreman Packaging Automation <packaging@theforeman.org> - 14.2.0-1
- Update to 14.2.0

* Tue Nov 12 2024 Foreman Packaging Automation <packaging@theforeman.org> - 14.1.0-1
- Update to 14.1.0

* Wed Sep 11 2024 Foreman Packaging Automation <packaging@theforeman.org> - 14.0.1-1
- Update to 14.0.1

* Tue Aug 13 2024 Foreman Packaging Automation <packaging@theforeman.org> - 13.3.0-1
- Update to 13.3.0

* Fri May 31 2024 Foreman Packaging Automation <packaging@theforeman.org> - 13.2.5-1
- Update to 13.2.5

* Tue May 07 2024 Evgeni Golov - 13.2.4-2
- Rebuild for Webpack asset compression

* Wed Feb 14 2024 Foreman Packaging Automation <packaging@theforeman.org> - 13.2.4-1
- Update to 13.2.4

* Tue Feb 13 2024 Evgeni Golov - 13.2.3-2
- Rebuild for Webpack 5

* Wed Jan 24 2024 Foreman Packaging Automation <packaging@theforeman.org> - 13.2.3-1
- Update to 13.2.3

* Thu Jan 18 2024 Evgeni Golov - 13.2.2-1
- Update to 13.2.2

* Fri Jan 05 2024 Foreman Packaging Automation <packaging@theforeman.org> - 13.2.1-1
- Update to 13.2.1

* Tue Nov 14 2023 Evgeni Golov 13.2.0-2
- Patch package when building downstream

* Fri Nov 10 2023 Foreman Packaging Automation <packaging@theforeman.org> 13.2.0-1
- Update to 13.2.0

* Tue Oct 31 2023 Evgeni Golov 13.1.0-1
- Add rubygem-foreman_theme_satellite generated by gem2rpm using the foreman_plugin template
